Index: main/threadstorage.c
===================================================================
--- main/threadstorage.c	(revision 85764)
+++ main/threadstorage.c	(working copy)
@@ -35,9 +35,7 @@
 
 #include "asterisk/logger.h"
 #include "asterisk/strings.h"
-#include "asterisk/utils.h"
 #include "asterisk/threadstorage.h"
-#include "asterisk/linkedlists.h"
 #include "asterisk/cli.h"
 
 struct tls_object {
@@ -56,7 +54,7 @@
 {
 	struct tls_object *to;
 
-	if (!(to = ast_calloc(sizeof(*to), 1)))
+	if (!(to = ast_calloc(1, sizeof(*to))))
 		return;
 
 	to->key = key;
@@ -161,6 +159,8 @@
 		AST_LIST_ENTRY(file) entry;
 	} *file;
 
+	AST_LIST_HEAD_NOLOCK_STATIC(file_summary, file);
+
 	switch (cmd) {
 	case CLI_INIT:
 		e->command = "threadstorage show summary";
@@ -176,8 +176,6 @@
 	if (a->argc > 4)
 		return CLI_SHOWUSAGE;
 
-	AST_LIST_HEAD_NOLOCK_STATIC(file_summary, file);
-
 	if (a->argc > 3)
 		fn = a->argv[3];
 
